[Hackage] #261: Marking packages deprecated

Hackage trac at galois.com
Fri Mar 21 15:37:36 EDT 2008

#261: Marking packages deprecated
  Reporter:  nibro          |        Owner:         
      Type:  enhancement    |       Status:  new    
  Priority:  normal         |    Milestone:         
 Component:  Cabal library  |      Version:
  Severity:  normal         |     Keywords:         
Difficulty:  normal         |   Ghcversion:  6.8.2  
  Platform:                 |  
 There should be a way to mark a package as '''deprecated''' so it doesn't
 show up on the main Hackage listing.

 If a newer package, with the same name, is uploaded then the older
 packages will in effect be defunct. But if you don't have a newer package
 with the same name, there is currently no way to "get rid of" packages
 that are no longer valid. There may be several reasons for why you would
 want to do this, likely most often because the contents of the package are
 superceded by functionality in some other package, with a different name.

Ticket URL: <http://hackage.haskell.org/trac/hackage/ticket/261>
Hackage <http://haskell.org/cabal/>
Hackage: Cabal and related projects

More information about the cabal-devel mailing list